import java.awt.*;
import layout.*;

public class FontBaseAbsoluteLayoutTest extends Frame {
	private static FontBaseAbsoluteLayoutTest frame;

	public FontBaseAbsoluteLayoutTest() {
		super("FontBaseAbsoluteLayoutTest");

		FontBaseAbsoluteLayout layout = new FontBaseAbsoluteLayout(120, 80);
		setLayout(layout);
		setFont(new Font("Helvetica", Font.PLAIN, 16));

		Label l = new Label("Hey Dude! What's up?", Label.CENTER);
		add(l);
		layout.addLayoutComponent(l, new Rectangle((120 - 96) / 2, (80 - 12) / 2, 96, 12));

		pack();
		show(true);
	}

	public boolean handleEvent(Event e) {
		if (e.id == Event.WINDOW_DESTROY)
			System.exit(0);
		return super.handleEvent(e);
	}

	public static void main(String[] args) {
		frame = new FontBaseAbsoluteLayoutTest();
	}
}
