import java.awt.*;
import java.awt.event.*;
import layout.*;

public class FontBaseAbsoluteLayoutTest extends Frame {
	private static FontBaseAbsoluteLayoutTest frame;

	public FontBaseAbsoluteLayoutTest() {
		super("FontBaseAbsoluteLayoutTest");

		addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				System.exit(0);
			}
		});

		setLayout(new FontBaseAbsoluteLayout(120, 80));
		setFont(new Font("Helvetica", Font.PLAIN, 16));

		Label l = new Label("Hey Dude! What's up?", Label.CENTER);
		add(l, new Rectangle((120 - 96) / 2, (80 - 12) / 2, 96, 12));

		pack();
		setVisible(true);
	}

	public static void main(String[] args) {
		frame = new FontBaseAbsoluteLayoutTest();
	}
}
